#include "arduino-serial.h"

int arduino_init() {
    char serialport[256] = "/dev/ttyACM0";
    int baudrate = B9600;
    return serialport_init(serialport,baudrate);
}

void arduino_sleep(int s) {
    usleep(1000000 * s);
}

int arduino_writebyte(int fd, int b) {
    return serialport_writebyte(fd,(uint8_t)b);
}

int arduino_write( int fd, wchar_t* str) {
    serialport_write(fd, (char*)str);
}


wchar_t* arduino_read( int fd ) {
    char * buf;
    serialport_read_until(fd, buf, '\n');
    return (wchar_t*) buf;
}

int arduino_close( int fd ) {
    return 1;
}

/*

int main(int argc, char *argv[]) {

    int fd = 0;
    char serialport[256] = "/dev/ttyACM0";
    int baudrate = B9600;
    char buf[256];  
    int rc,n;
 
    printf("Hello Worldness\n");

    fd = serialport_init(serialport,baudrate);
    if (fd == -1)
        printf("init fail\n");
    else
        printf("init win\n");

    usleep(2000000);

    strcpy(buf,"5");
    rc = serialport_write(fd, buf);
    printf(buf);
    printf("\n");
    if (rc==-1)
        printf("write fail\n");
    else
        printf("write win\n");
    
    usleep(2000000);
    strcpy(buf,"5");
    rc = serialport_write(fd, buf);
    printf(buf);
    printf("\n");
    if (rc==-1)
        printf("write fail\n");
    else
        printf("write win\n");
    usleep(2000000);
    
        
}
*/
